G-ACAD
1
BRL-CAD
BRL-CAD

# g-acad

Convert from BRL-CAD format to Lockheed Martin's ACAD format

      g-acad    -vi
        -xX lvl
        -e error_file
        -D calculation_tolerance
        -a abs_tol
        -r rel_tol
        -P number_of_CPUs
        -n norm_tol
        -o ACAD_file
        database.g
        object(s)

## DESCRIPTION

g-acad converts the specified object(s) from a BRL-CAD database.g file to the in-house Lockheed Martin's Advanced Computer-Aided Design (ACAD) file format (formerly the General Dynamics ACAD file format). This converter has NOT connected with Autodesk Inc.'s AutoCAD file format. The `-x` option specifies an RT debug flag and the `-X` option specifies an NMG debug flag. The `-a` , `-r` , and `-n` options specify tessellation tolerances. The `-D` option specifies a calculational distance tolerance (mm). Any two vertices that are less than this distance apart will be treated as the same vertex. The `-v` option requests verbose output. The `-i` option requests the output file units to be inches (the default is mm). The `-o` option specifies the name of the file to receive the output (stdout is the default). The `-e` option specifies a file for receiving the error messages. The `-P` option specifies the number of CPU's to be used, and also turns on a flag to enable the receiving of core dumps.

## EXAMPLE

    $ g-acad -o sample.ACAD sample.g sample_object

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1997-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.